#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

#include <algorithm>
using namespace std;

int n,m;

char a[1000],b[1000];

int la,lb;

int cnt1[26],cnt2[26];

int main()
{
  freopen("ancient.in","r",stdin);
  freopen("ancient.out","w",stdout);

  int i,j,k;

  scanf("%s %s",a,b);
  la=strlen(a); lb=strlen(b);
  if (la!=lb)
  {
    puts("NO");
    return 0;
  }

  n=la;

  for(i=0; i<n; i++) { cnt1[a[i]-'A']++; cnt2[b[i]-'A']++;}

  sort(cnt1,cnt1+26);
  sort(cnt2,cnt2+26);

  for(i=0; i<26; i++) if (cnt1[i]!=cnt2[i]) break;
  if (i==26) puts("YES"); else puts("NO");  

  return 0;
}